# ILineProvider

Interface in [Yarn.Unity](/3.1/api/csharp/yarn.unity.md)

## Summary

Contains methods for retrieving user-facing localized content, given non-localized line IDs.

```csharp
public interface ILineProvider
```

## Methods

| Name                                                                                                                                                                             | Description                                                                                                                                                   |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DeregisterMarkerProcessor(string)](/3.1/api/csharp/yarn.unity/yarn.unity.ilineprovider/yarn.unity.ilineprovider.deregistermarkerprocessor.md)                                   | Removes all marker processors that handle markers named `attributeName` .                                                                                     |
| [GetLocalizedLineAsync(Line,CancellationToken)](/3.1/api/csharp/yarn.unity/yarn.unity.ilineprovider/yarn.unity.ilineprovider.getlocalizedlineasync.md)                           | Prepares and returns a [LocalizedLine](/3.1/api/csharp/yarn.unity/yarn.unity.localizedline.md) from the specified [Line](/3.1/api/csharp/yarn/yarn.line.md) . |
| [PrepareForLinesAsync(IEnumerable,CancellationToken)](/3.1/api/csharp/yarn.unity/yarn.unity.ilineprovider/yarn.unity.ilineprovider.prepareforlinesasync.md)                      | Signals to the line provider that lines with the provided line IDs may be presented shortly.                                                                  |
| [RegisterMarkerProcessor(string,Yarn.Markup.IAttributeMarkerProcessor)](/3.1/api/csharp/yarn.unity/yarn.unity.ilineprovider/yarn.unity.ilineprovider.registermarkerprocessor.md) | Adds a new marker processor to the line provider.                                                                                                             |

## Properties

| Name                                                                                                       | Description                                                                                                                                                |
| ---------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [LocaleCode](/3.1/api/csharp/yarn.unity/yarn.unity.ilineprovider/yarn.unity.ilineprovider.localecode.md)   | Gets the line provider's current locale identifier, as a BCP-47 code.                                                                                      |
| [YarnProject](/3.1/api/csharp/yarn.unity/yarn.unity.ilineprovider/yarn.unity.ilineprovider.yarnproject.md) | The [YarnProject](/3.1/api/csharp/yarn.unity/yarn.unity.ilineprovider/yarn.unity.ilineprovider.yarnproject.md) that contains the localized data for lines. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.ilineprovider.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
